export const logger = (serviceName) => ({
    error: (message, detail) => {
        console.error(`[${serviceName}]`, message);
        if (detail !== undefined)
            console.error(JSON.stringify(detail));
    },
    debug: (...args) => {
        console.debug(`[${serviceName}]`, ...args.map((a) => JSON.stringify(a)));
    },
    info: (...args) => {
        console.log(`[${serviceName}]`, ...args.map((a) => JSON.stringify(a)));
    },
    warn: (...args) => {
        console.warn(`[${serviceName}]`, ...args.map((a) => JSON.stringify(a)));
    },
});
