import { Metrics } from '@aws-lambda-powertools/metrics';
const registry = {};
const metricsEnabled = process.env.DISABLE_METRICS !== '1';
console.debug(`[Metrics]`, metricsEnabled ? `Enabled` : `Disabled`);
/**
 * Manages the instantiation of a Metrics object (unless Metrics are disabled)
 */
export const metricsForComponent = (component, namespace = 'hello-nrfcloud-backend') => {
    if (registry[component] === undefined) {
        registry[component] = new Metrics({
            namespace,
            serviceName: component,
        });
    }
    const metrics = registry[component];
    return {
        metrics,
        track: (...args) => {
            if (!metricsEnabled) {
                return;
            }
            metrics.addMetric(...args);
        },
    };
};
